/* Generated by Together */

#ifndef ICOMPONENTACTION_H
#define ICOMPONENTACTION_H

class IExecutionCommand;


/** @interface */
class IComponentAction {
public:    

    virtual int onInitialize() = 0;

    virtual int onFatalError(IExecutionCommand *) = 0;

    virtual int onFinalize() = 0;

    virtual int onReady(IExecutionCommand *) = 0;

    virtual int onError(IExecutionCommand *) = 0;

    virtual int onActive(IExecutionCommand *) = 0;

};
#endif //ICOMPONENTACTION_H
